Hello, world! OK, this is a little over the scope of a \emph{hello, world!}
program but not much. If you are interested in \LaTeX\ you probably also
want to write equations and include figures. Here is an example.

The figures we include are created from the sources of this document using
the tool {\tt enscript}. You need to have this tool installed on your machine
to be able to build this document using GNU {\tt make}.

Here are a couple of equations:
\begin{align}
E &= mc^2, \\
\text{e}^{\text{i}\pi} &= -1.
\end{align}

Figures~\ref{fig:main} and~\ref{fig:body} show the contents of the
\LaTeX\ sources of this document. Figure~\ref{fig:Makefile} shows 
the contents of the \emph{make file}, which specifies the commands
to build this document and the included figures.
\begin{figure}[!hbtp]
  \caption{Contents of the main file {\tt tex/main.tex}.}
  \label{fig:main}
  \centering
  %% enscript -BE --color -p fig/main.ps tex/main.tex, trim=l b r t
  \includegraphics[trim=40pt 590pt 40pt 15pt, clip, width=0.8\textwidth] {fig/main}
\end{figure}

\begin{figure}[!hbtp]
  \caption{Contents of the file {\tt tex/body.tex}, which is included 
    in the main file {\tt tex/main.tex}.}
  \label{fig:body}
  \includegraphics[trim=40pt 300pt 40pt 15pt , clip, width=0.8\textwidth]{fig/body}
\end{figure}

\begin{figure}[!hbtp]
  \caption{Contents of {\tt Makefile}.}
  \label{fig:Makefile}
  \includegraphics[trim=40pt 300pt 40pt 15pt , clip, width=0.8\textwidth]{fig/Makefile}
\end{figure}
